Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.gms
Class GossipDigest

    java.lang.Object
      org.apache.cassandra.gms.GossipDigest

All Implemented Interfaces:
  java.lang.Comparable<GossipDigest>

    public class GossipDigest

extends java.lang.Object
implements java.lang.Comparable<GossipDigest>

Contains information about a specified list of EndPoints and the largest version of the state they have generated as known by the local endpoint.

Method Summary
`int` | `compareTo(GossipDigest gDigest)`
`static ICompactSerializer<GossipDigest>` | `serializer()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### serializer

    public static ICompactSerializer<GossipDigest> serializer()

### compareTo

    public int compareTo(GossipDigest gDigest)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<GossipDigest>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation